BizKitHub
DocsAPI ReferenceCalendar Analytics/bff/calendar/calendar-analytics-revenue-per-event-type
getCalendar AnalyticsAdmin BFF

/bff/calendar/calendar-analytics-revenue-per-event-type

Shows which event types generate the most revenue - critical insight to avoid confusing utilization with profitability. Returns total revenue, event count, and average per event for each type.

Calendar AnalyticsgetBffCalendarCalendar-analytics-revenue-per-event-type

Parameters

1 query

Query parameters

· 1
codestringRequired

Calendar code identifier.

Exampleexample_code

Response schema

1 status code documented

200Success
typesobject[]Required
Each array item:
typeIdnumberRequired

Event type ID.

typeNamestringRequired

Event type name.

totalRevenuenumberRequired

Total revenue from this type.

eventCountnumberRequired

Number of events.

avgRevenuePerEventnumberRequired

Average revenue per event.

percentagenumberRequired

Percentage of total revenue.

totalRevenuenumberRequired

Total revenue across all types.

Response example

application/json
{
  "types": [
    {
      "typeId": 0,
      "typeName": "example_typeName",
      "totalRevenue": 0,
      "eventCount": 0,
      "avgRevenuePerEvent": 0,
      "percentage": 0
    }
  ],
  "totalRevenue": 0
}

Request example

GET /bff/calendar/calendar-analytics-revenue-per-event-type

get
curl -X GET "https://api.bizkithub.com/bff/calendar/calendar-analytics-revenue-per-event-type?code=example_code" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key